# Local .terraform directories
**/*/.terraform/*

# .tfstate files
*tfstate
*.tfstate.*

# Crash log files
crash.log
crash.*.log

# Exclude all .tfvars files, which are likely to contain sensitive data, such as
# password, private keys, and other secrets. 
*secret.auto.tfvars

# Ignore override files as they are usually used to override resources locally and so
# are not checked in
*override.tf
*override.tf.json
*_override.tf
*_override.tf.json

# Include override files you do wish to add to version control using negated pattern
# !example_override.tf

# Include tfplan files to ignore the plan output of command: terraform plan -out=tfplan
# example: *tfplan*

# Ignore CLI configuration files
*.terraformrc
*terraform.rc

*config.gitlab.tfbackend
*secret.vars
*.terraform.lock*
